Get a submission
GET
/v1/forms/{form}/submissions/{id}
const url = 'https://api.submeto.com/v1/forms/example/submissions/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.submeto.com/v1/forms/example/submissions/example \ --header 'Authorization: Bearer <token>'Returns a single submission with its field data and delivery history.
File field values are omitted from fields; use the files endpoint to
download file uploads.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”form
required
string
The form ID.
id
required
string
The ID of the submission.
submission
required
string
The submission ID.
Responses
Section titled “Responses”Submission details
Media typeapplication/json
object
data
object
id
string
form_id
string
source
string
fields
object
email
string
name
string
message
string
read_at
string
received_at
string
has_files
boolean
file_count
integer
deliveries
Array<object>
object
channel_type
string
status
string
delivered_at
string
error_code
string
created_at
string
request_id
string
Example
{ "data": { "id": "REQUEST_ID", "form_id": "REQUEST_ID", "source": "form_submit", "fields": { "name": "Jane Doe", "message": "Hello!" }, "read_at": null, "received_at": "2026-08-30T14:22:00.000Z", "has_files": false, "file_count": 0, "deliveries": [ { "channel_type": "database", "status": "delivered", "delivered_at": "2026-08-30T14:22:05.000Z", "error_code": null } ], "created_at": "2026-08-30T14:22:00.000Z" }, "request_id": "REQUEST_ID"}Not found or not granted
Media typeapplication/json
object
error
object
code
string
message
string
details
object
request_id
string
Example
{ "error": { "code": "resource_not_found", "message": "Resource not found.", "details": {} }, "request_id": "REQUEST_ID"}